org.eclipse.emf.cdo.session.remote

## Interface CDORemoteSession

- All Superinterfaces:
    java.lang.Comparable<CDORemoteSession>
  All Known Subinterfaces:
    InternalCDORemoteSession

      public interface CDORemoteSession
      extends java.lang.Comparable<CDORemoteSession>

  Represents a remote session that is connected to the same repository as the `local session` that the `remote session manager` points to.
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDORemoteSessionManager` | `getManager()` Returns the remote session manager that manages this remote session.
    `int` | `getSessionID()` Returns the session ID of this remote session.
    `java.lang.String` | `getUserID()` Returns the user ID of this remote session.
    `boolean` | `isSubscribed()` Returns `true` if this remote session is subscribed to changes in the set of remote sessions and delivers `custom data events`, `false` otherwise.
    `boolean` | `sendMessage(CDORemoteSessionMessage message)` Sends a unicast message to this remote session if it is subscribed.

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getManager

          CDORemoteSessionManager getManager()

      Returns the remote session manager that manages this remote session.

    - #### getSessionID

          int getSessionID()

      Returns the session ID of this remote session.

    - #### getUserID

          java.lang.String getUserID()

      Returns the user ID of this remote session.

    - #### isSubscribed

          boolean isSubscribed()

      Returns `true` if this remote session is subscribed to changes in the set of remote sessions and delivers `custom data events`, `false` otherwise.

    - #### sendMessage

          boolean sendMessage(CDORemoteSessionMessage message)

      Sends a unicast message to this remote session if it is subscribed.
      Returns:
        `true` if the server received the custom data message, `false` otherwise. Note: No assumption must be made on whether the recipient session received the message and was able to handle it adequately!
      Throws:
        `CDOException` - if this remote session is not subscribed.
      Since:
        3.0
      See Also:
        `isSubscribed()`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html